<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\index\controller;
use think\Db;
/**
 * 地址模型控制器
 */
class Look extends Home{

	 /* 取消订单 */
	public function index(){
		 if(!session_uid()) {
		    //$this->redirect("User/login");
		}			
		$uid=session_uid();	
		$map ['ip'] =$_SERVER['REMOTE_ADDR'];;
		$res=getLists("history",$map,10,"id desc","");
		$this->assign('res', $res);
		$this->meta_title = '我的足迹';
		$this->assign('meta_title',$this->meta_title);
		return $this->fetch();
	}


    public function delete(){
	   if(!is_login() ) {
			$this->error( "您还没有登陆",url("User/login") );
	   }
	   $id=input('id'); // 用intval过滤$_POST['id']
	   $id=safe_replace($id);//过滤
	   $map["id"]=$id; 
	   $map['ip']= safe_replace($_SERVER['REMOTE_ADDR']);//用户id
	   $res=db("history")->where($map)->delete();
	   if($res){
		  $this->success("删除成功");
	   }else{
		  $this->error("删除失败");
	   }
   }
   
}
